Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.glsl.renderpass
Class FullRenderPass

    java.lang.Object
      de.grogra.imp3d.glsl.renderpass.RenderPass
          de.grogra.imp3d.glsl.renderpass.FullRenderPass

Direct Known Subclasses:
  CachedRenderPass, CachedRenderPass, CacheScenePass, CacheScenePass, CopyFloatTexturePass, CopyFloatTexturePass, DrawSkyPass, DrawSkyPass, DrawTranspBackgroundPass, DrawTranspBackgroundPass, EdgeFilteringPass, EdgeFilteringPass, LightingProcessPass, PrepareAlphaPass, PrepareAlphaPass, PreprocessPass, PreprocessPass, ReduceImagePass, RenderToSkyCubePass, ToneMappingPass, ToolRenderPass, ToolRenderPass

    public abstract class FullRenderPass

extends RenderPass

Author:
  Konni Hartmann

Field Summary

Fields inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`newVisit`

Constructor Summary
`FullRenderPass()`

Method Summary
`void` | `process(GLSLDisplay disp, OpenGLState glState, java.lang.Object data)`

Methods inherited from class de.grogra.imp3d.glsl.renderpass.RenderPass
`activateTextures, activateTextures, deactivateTextures, deactivateTextures, drawPrjQuad, drawPrjQuad, drawPrjQuad, drawPrjQuadParallel, epilogue, getID, postDrawCallback, prologue, render, renderAndUpdateVector, renderVector, resetMatrix, setMatrix, ViewOrtho, ViewOrtho, ViewPerspective`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FullRenderPass

    public FullRenderPass()

Method Detail

### process

    public void process(GLSLDisplay disp,
                        OpenGLState glState,
                        java.lang.Object data)

  Overrides:
    `process` in class `RenderPass`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD